(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.currentSoundStreamInMovieclip;
	this.soundStreamDuration = new Map();
	this.streamSoundSymbolsList = [];

	this.gotoAndPlayForStreamSoundSync = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.gotoAndPlay = function(positionOrLabel){
		this.clearAllSoundStreams();
		var pos = this.timeline.resolve(positionOrLabel);
		if (pos != null) { this.startStreamSoundsForTargetedFrame(pos); }
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		this.clearAllSoundStreams();
		this.startStreamSoundsForTargetedFrame(this.currentFrame);
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
		this.clearAllSoundStreams();
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
		this.clearAllSoundStreams();
	}
	this.startStreamSoundsForTargetedFrame = function(targetFrame){
		for(var index=0; index<this.streamSoundSymbolsList.length; index++){
			if(index <= targetFrame && this.streamSoundSymbolsList[index] != undefined){
				for(var i=0; i<this.streamSoundSymbolsList[index].length; i++){
					var sound = this.streamSoundSymbolsList[index][i];
					if(sound.endFrame > targetFrame){
						var targetPosition = Math.abs((((targetFrame - sound.startFrame)/lib.properties.fps) * 1000));
						var instance = playSound(sound.id);
						var remainingLoop = 0;
						if(sound.offset){
							targetPosition = targetPosition + sound.offset;
						}
						else if(sound.loop > 1){
							var loop = targetPosition /instance.duration;
							remainingLoop = Math.floor(sound.loop - loop);
							if(targetPosition == 0){ remainingLoop -= 1; }
							targetPosition = targetPosition % instance.duration;
						}
						instance.loop = remainingLoop;
						instance.position = Math.round(targetPosition);
						this.InsertIntoSoundStreamData(instance, sound.startFrame, sound.endFrame, sound.loop , sound.offset);
					}
				}
			}
		}
	}
	this.InsertIntoSoundStreamData = function(soundInstance, startIndex, endIndex, loopValue, offsetValue){ 
 		this.soundStreamDuration.set({instance:soundInstance}, {start: startIndex, end:endIndex, loop:loopValue, offset:offsetValue});
	}
	this.clearAllSoundStreams = function(){
		this.soundStreamDuration.forEach(function(value,key){
			key.instance.stop();
		});
 		this.soundStreamDuration.clear();
		this.currentSoundStreamInMovieclip = undefined;
	}
	this.stopSoundStreams = function(currentFrame){
		if(this.soundStreamDuration.size > 0){
			var _this = this;
			this.soundStreamDuration.forEach(function(value,key,arr){
				if((value.end) == currentFrame){
					key.instance.stop();
					if(_this.currentSoundStreamInMovieclip == key) { _this.currentSoundStreamInMovieclip = undefined; }
					arr.delete(key);
				}
			});
		}
	}

	this.computeCurrentSoundStreamInstance = function(currentFrame){
		if(this.currentSoundStreamInMovieclip == undefined){
			var _this = this;
			if(this.soundStreamDuration.size > 0){
				var maxDuration = 0;
				this.soundStreamDuration.forEach(function(value,key){
					if(value.end > maxDuration){
						maxDuration = value.end;
						_this.currentSoundStreamInMovieclip = key;
					}
				});
			}
		}
	}
	this.getDesiredFrame = function(currentFrame, calculatedDesiredFrame){
		for(var frameIndex in this.actionFrames){
			if((frameIndex > currentFrame) && (frameIndex < calculatedDesiredFrame)){
				return frameIndex;
			}
		}
		return calculatedDesiredFrame;
	}

	this.syncStreamSounds = function(){
		this.stopSoundStreams(this.currentFrame);
		this.computeCurrentSoundStreamInstance(this.currentFrame);
		if(this.currentSoundStreamInMovieclip != undefined){
			var soundInstance = this.currentSoundStreamInMovieclip.instance;
			if(soundInstance.position != 0){
				var soundValue = this.soundStreamDuration.get(this.currentSoundStreamInMovieclip);
				var soundPosition = (soundValue.offset?(soundInstance.position - soundValue.offset): soundInstance.position);
				var calculatedDesiredFrame = (soundValue.start)+((soundPosition/1000) * lib.properties.fps);
				if(soundValue.loop > 1){
					calculatedDesiredFrame +=(((((soundValue.loop - soundInstance.loop -1)*soundInstance.duration)) / 1000) * lib.properties.fps);
				}
				calculatedDesiredFrame = Math.floor(calculatedDesiredFrame);
				var deltaFrame = calculatedDesiredFrame - this.currentFrame;
				if((deltaFrame >= 0) && this.ignorePause){
					cjs.MovieClip.prototype.play.call(this);
					this.ignorePause = false;
				}
				else if(deltaFrame >= 2){
					this.gotoAndPlayForStreamSoundSync(this.getDesiredFrame(this.currentFrame,calculatedDesiredFrame));
				}
				else if(deltaFrame <= -2){
					cjs.MovieClip.prototype.stop.call(this);
					this.ignorePause = true;
				}
			}
		}
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib.babypistonup01 = function() {
	this.initialize(img.babypistonup01);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypistonup02 = function() {
	this.initialize(img.babypistonup02);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypistonup03 = function() {
	this.initialize(img.babypistonup03);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypistonup04 = function() {
	this.initialize(img.babypistonup04);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypistonup05 = function() {
	this.initialize(img.babypistonup05);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypistonup06 = function() {
	this.initialize(img.babypistonup06);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypistonup07 = function() {
	this.initialize(img.babypistonup07);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypiston01 = function() {
	this.initialize(img.babypiston01);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypiston02 = function() {
	this.initialize(img.babypiston02);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypiston03 = function() {
	this.initialize(img.babypiston03);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypiston04 = function() {
	this.initialize(img.babypiston04);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypiston05 = function() {
	this.initialize(img.babypiston05);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypiston06 = function() {
	this.initialize(img.babypiston06);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypiston07 = function() {
	this.initialize(img.babypiston07);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypiston08 = function() {
	this.initialize(img.babypiston08);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypiston09 = function() {
	this.initialize(img.babypiston09);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


(lib.babypiston10 = function() {
	this.initialize(img.babypiston10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,917,1299);


// stage content:
(lib.babypiston2sam = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.actionFrames = [0,54,61];
	this.streamSoundSymbolsList[0] = [{id:"babypiston",startFrame:0,endFrame:54,loop:1,offset:0},{id:"babyikigire",startFrame:0,endFrame:59,loop:1,offset:0}];
	this.streamSoundSymbolsList[54] = [{id:"babypiston2",startFrame:54,endFrame:77,loop:1,offset:0}];
	this.streamSoundSymbolsList[61] = [{id:"babyikigire2",startFrame:61,endFrame:77,loop:1,offset:0}];
	// timeline functions:
	this.frame_0 = function() {
		this.clearAllSoundStreams();
		 
		var soundInstance = playSound("babyikigire",0);
		this.InsertIntoSoundStreamData(soundInstance,0,59,1);
		var soundInstance = playSound("babypiston",0);
		this.InsertIntoSoundStreamData(soundInstance,0,54,1);
	}
	this.frame_54 = function() {
		var soundInstance = playSound("babypiston2",0);
		this.InsertIntoSoundStreamData(soundInstance,54,77,1);
	}
	this.frame_61 = function() {
		var soundInstance = playSound("babyikigire2",0);
		this.InsertIntoSoundStreamData(soundInstance,61,77,1);
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(54).call(this.frame_54).wait(7).call(this.frame_61).wait(16));

	// レイヤー_4
	this.shape = new cjs.Shape();
	this.shape.graphics.f("rgba(255,255,255,0.667)").s().p("Ai3DaIAAmzIFoAAIAABdIjhAAIAABFIDRAAIAABYIjRAAIAABWIDoAAIAABjg");
	this.shape.setTransform(284.65,596.325);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("rgba(255,255,255,0.667)").s().p("AisDaIAAmzICHAAIAAFIIDSAAIAABrg");
	this.shape_1.setTransform(242.825,596.325);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("rgba(255,255,255,0.667)").s().p("Ai4DaIAAmzIDfAAQBJAAAlAiQAkAjAABBQAABCgnAkQgoAlhSAAIhJAAIAACigAgxgfIAhAAQAmAAAQgOQAQgNAAgVQAAgVgOgOQgNgPglAAIgnAAg");
	this.shape_2.setTransform(199.975,596.325);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("rgba(255,255,255,0.667)").s().p("ACHDaIAAlMIhVFMIhjAAIhVlMIAAFMIhvAAIAAmzICyAAIBDEIIBEkIICyAAIAAGzg");
	this.shape_3.setTransform(148.375,596.325);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("rgba(255,255,255,0.667)").s().p("ABgDaIgWhIIiYAAIgVBIIiKAAICkmzICSAAIClGzgAgxA0IBfAAIgvicg");
	this.shape_4.setTransform(95.925,596.325);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("rgba(255,255,255,0.667)").s().p("AiVC3QgqgrgGhCICAgIQAEAfANAQQAVAbAmAAQAdAAAPgNQAQgOAAgSQAAgRgPgNQgPgOg1gMQhZgUgmggQgmghAAgzQAAgiAUgeQATgeAogRQAngRBDAAQBUAAAsAfQArAfAJBEIh/AIQgGgegQgNQgQgOgcAAQgXAAgMALQgMAJAAAPQAAAKAKAIQAJAJAkAIQBYATAmATQAmAUASAcQARAcAAAkQAAAqgXAkQgXAjgqATQgqASg/AAQhvAAgrgrg");
	this.shape_5.setTransform(49.925,596.325);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_5},{t:this.shape_4},{t:this.shape_3},{t:this.shape_2},{t:this.shape_1},{t:this.shape}]}).wait(77));

	// レイヤー_1
	this.instance = new lib.babypiston01();
	this.instance.setTransform(10,10,0.4996,0.4996);

	this.instance_1 = new lib.babypiston02();
	this.instance_1.setTransform(10,10,0.4996,0.4996);

	this.instance_2 = new lib.babypiston03();
	this.instance_2.setTransform(10,10,0.4996,0.4996);

	this.instance_3 = new lib.babypiston04();
	this.instance_3.setTransform(10,10,0.4996,0.4996);

	this.instance_4 = new lib.babypiston05();
	this.instance_4.setTransform(10,10,0.4996,0.4996);

	this.instance_5 = new lib.babypiston06();
	this.instance_5.setTransform(10,10,0.4996,0.4996);

	this.instance_6 = new lib.babypiston07();
	this.instance_6.setTransform(10,10,0.4996,0.4996);

	this.instance_7 = new lib.babypiston08();
	this.instance_7.setTransform(10,10,0.4996,0.4996);

	this.instance_8 = new lib.babypiston09();
	this.instance_8.setTransform(10,10,0.4996,0.4996);

	this.instance_9 = new lib.babypiston10();
	this.instance_9.setTransform(10,10,0.4996,0.4996);

	this.instance_10 = new lib.babypistonup01();
	this.instance_10.setTransform(10,10,0.4996,0.4996);

	this.instance_11 = new lib.babypistonup02();
	this.instance_11.setTransform(10,10,0.4996,0.4996);

	this.instance_12 = new lib.babypistonup03();
	this.instance_12.setTransform(10,10,0.4996,0.4996);

	this.instance_13 = new lib.babypistonup04();
	this.instance_13.setTransform(10,10,0.4996,0.4996);

	this.instance_14 = new lib.babypistonup05();
	this.instance_14.setTransform(10,10,0.4996,0.4996);

	this.instance_15 = new lib.babypistonup06();
	this.instance_15.setTransform(10,10,0.4996,0.4996);

	this.instance_16 = new lib.babypistonup07();
	this.instance_16.setTransform(10,10,0.4996,0.4996);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance}]}).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},1).to({state:[{t:this.instance_3}]},1).to({state:[{t:this.instance_4}]},1).to({state:[{t:this.instance_5}]},2).to({state:[{t:this.instance_6}]},2).to({state:[{t:this.instance_7}]},2).to({state:[{t:this.instance_8}]},2).to({state:[{t:this.instance_9}]},2).to({state:[{t:this.instance}]},2).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},1).to({state:[{t:this.instance_3}]},1).to({state:[{t:this.instance_4}]},1).to({state:[{t:this.instance_5}]},2).to({state:[{t:this.instance_6}]},2).to({state:[{t:this.instance_7}]},2).to({state:[{t:this.instance_8}]},2).to({state:[{t:this.instance_9}]},2).to({state:[{t:this.instance}]},2).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},1).to({state:[{t:this.instance_3}]},1).to({state:[{t:this.instance_4}]},1).to({state:[{t:this.instance_5}]},2).to({state:[{t:this.instance_6}]},2).to({state:[{t:this.instance_7}]},2).to({state:[{t:this.instance_8}]},2).to({state:[{t:this.instance_9}]},2).to({state:[{t:this.instance}]},2).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},1).to({state:[{t:this.instance_10}]},1).to({state:[{t:this.instance_11}]},1).to({state:[{t:this.instance_12}]},1).to({state:[{t:this.instance_13}]},2).to({state:[{t:this.instance_14}]},2).to({state:[{t:this.instance_15}]},2).to({state:[{t:this.instance_16}]},2).to({state:[{t:this.instance_5}]},2).to({state:[{t:this.instance_6}]},2).to({state:[{t:this.instance_7}]},2).to({state:[{t:this.instance_8}]},2).to({state:[{t:this.instance_9}]},2).wait(2));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(249.5,344.5,218.7,314.5);
// library properties:
lib.properties = {
	id: '9E4AE608BCE28F42935D56525653A541',
	width: 479,
	height: 669,
	fps: 24,
	color: "#000000",
	opacity: 1.00,
	manifest: [
		{src:"images/babypistonup01.jpg?1663309717827", id:"babypistonup01"},
		{src:"images/babypistonup02.jpg?1663309717828", id:"babypistonup02"},
		{src:"images/babypistonup03.jpg?1663309717828", id:"babypistonup03"},
		{src:"images/babypistonup04.jpg?1663309717828", id:"babypistonup04"},
		{src:"images/babypistonup05.jpg?1663309717828", id:"babypistonup05"},
		{src:"images/babypistonup06.jpg?1663309717828", id:"babypistonup06"},
		{src:"images/babypistonup07.jpg?1663309717828", id:"babypistonup07"},
		{src:"images/babypiston01.jpg?1663309717828", id:"babypiston01"},
		{src:"images/babypiston02.jpg?1663309717828", id:"babypiston02"},
		{src:"images/babypiston03.jpg?1663309717828", id:"babypiston03"},
		{src:"images/babypiston04.jpg?1663309717828", id:"babypiston04"},
		{src:"images/babypiston05.jpg?1663309717828", id:"babypiston05"},
		{src:"images/babypiston06.jpg?1663309717828", id:"babypiston06"},
		{src:"images/babypiston07.jpg?1663309717828", id:"babypiston07"},
		{src:"images/babypiston08.jpg?1663309717828", id:"babypiston08"},
		{src:"images/babypiston09.jpg?1663309717828", id:"babypiston09"},
		{src:"images/babypiston10.jpg?1663309717828", id:"babypiston10"},
		{src:"sounds/babyikigire.mp3?1663309717828", id:"babyikigire"},
		{src:"sounds/babyikigire2.mp3?1663309717828", id:"babyikigire2"},
		{src:"sounds/babypiston.mp3?1663309717828", id:"babypiston"},
		{src:"sounds/babypiston2.mp3?1663309717828", id:"babypiston2"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['9E4AE608BCE28F42935D56525653A541'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;